Subject: Re: bug#4534: assertion failure at window.c:grow_mini_window

From: martin rudalics <[email-masked]>
Date: Wed, 23 Sep 2009 14:21:19 +0200

> Well, yes, commenting that code out avoids the failure (which happens
 > in that call to grow_mini_window). But the point is, the miniwindow is
 > not shrunk as it should. See attached image.

Well that code was probably intended to serve some purpose ;-)  I just
wanted to spot the culprit.  Would writing

	      if (height > WINDOW_TOTAL_LINES (w))
		{
		  freeze_window_starts (f, 1);
		  grow_mini_window (w, height - WINDOW_TOTAL_LINES (w));
		}

instead do better?  I don't want to delve deeper into this because I'd
like to get rid of this weird height/position save/restore code soon.

martin